UbixOS V2 2.0

Data Fields
mem Struct Reference
Collaboration diagram for mem:

## Data Fields
mem_size_t | next
mem_size_t | prev
u8_t | used

## Detailed Description

The heap is made up as a list of structs of this type. This does not have to be aligned since for getting its size, we only use the macro SIZEOF_STRUCT_MEM, which automatically aligns.

Definition at line 264 of file mem.c.

## Field Documentation

## ◆ next

mem_size_t mem::next

index (-> ram[next]) of the next struct

Definition at line 266 of file mem.c.

## ◆ prev

mem_size_t mem::prev

index (-> ram[prev]) of the previous struct

Definition at line 268 of file mem.c.

## ◆ used

u8_t mem::used

1: this area is used; 0: this area is unused

Definition at line 270 of file mem.c.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/net/core/mem.c